org.apache.cxf.annotations

## Enum WSDLDocumentation.Placement

- java.lang.Object
- - java.lang.Enum<WSDLDocumentation.Placement>
  - - org.apache.cxf.annotations.WSDLDocumentation.Placement

- All Implemented Interfaces:
    Serializable, Comparable<WSDLDocumentation.Placement>
  Enclosing class:
    WSDLDocumentation

      public static enum WSDLDocumentation.Placement
      extends Enum<WSDLDocumentation.Placement>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BINDING`
    `BINDING_OPERATION`
    `BINDING_OPERATION_FAULT`
    `BINDING_OPERATION_INPUT`
    `BINDING_OPERATION_OUTPUT`
    `DEFAULT`
    `FAULT_MESSAGE`
    `INPUT_MESSAGE`
    `OUTPUT_MESSAGE`
    `PORT_TYPE`
    `PORT_TYPE_OPERATION`
    `PORT_TYPE_OPERATION_FAULT`
    `PORT_TYPE_OPERATION_INPUT`
    `PORT_TYPE_OPERATION_OUTPUT`
    `SERVICE`
    `SERVICE_PORT`
    `TOP`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WSDLDocumentation.Placement` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WSDLDocumentation.Placement[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final WSDLDocumentation.Placement DEFAULT

    - #### TOP

          public static final WSDLDocumentation.Placement TOP

    - #### INPUT_MESSAGE

          public static final WSDLDocumentation.Placement INPUT_MESSAGE

    - #### OUTPUT_MESSAGE

          public static final WSDLDocumentation.Placement OUTPUT_MESSAGE

    - #### FAULT_MESSAGE

          public static final WSDLDocumentation.Placement FAULT_MESSAGE

    - #### PORT_TYPE

          public static final WSDLDocumentation.Placement PORT_TYPE

    - #### PORT_TYPE_OPERATION

          public static final WSDLDocumentation.Placement PORT_TYPE_OPERATION

    - #### PORT_TYPE_OPERATION_INPUT

          public static final WSDLDocumentation.Placement PORT_TYPE_OPERATION_INPUT

    - #### PORT_TYPE_OPERATION_OUTPUT

          public static final WSDLDocumentation.Placement PORT_TYPE_OPERATION_OUTPUT

    - #### PORT_TYPE_OPERATION_FAULT

          public static final WSDLDocumentation.Placement PORT_TYPE_OPERATION_FAULT

    - #### BINDING

          public static final WSDLDocumentation.Placement BINDING

    - #### BINDING_OPERATION

          public static final WSDLDocumentation.Placement BINDING_OPERATION

    - #### BINDING_OPERATION_INPUT

          public static final WSDLDocumentation.Placement BINDING_OPERATION_INPUT

    - #### BINDING_OPERATION_OUTPUT

          public static final WSDLDocumentation.Placement BINDING_OPERATION_OUTPUT

    - #### BINDING_OPERATION_FAULT

          public static final WSDLDocumentation.Placement BINDING_OPERATION_FAULT

    - #### SERVICE

          public static final WSDLDocumentation.Placement SERVICE

    - #### SERVICE_PORT

          public static final WSDLDocumentation.Placement SERVICE_PORT

  - ### Method Detail

    - #### values

          public static WSDLDocumentation.Placement[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WSDLDocumentation.Placement c : WSDLDocumentation.Placement.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WSDLDocumentation.Placement valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Apache CXF